### Method

# GLib OptionGroup set_translate_func

since: 2.6

#### Declaration

    void
    g_option_group_set_translate_func (
      GOptionGroup* group,
      GTranslateFunc func,
      gpointer data,
      GDestroyNotify destroy_notify
    )

#### Description

Sets the function which is used to translate user-visible strings, for `--help` output. Different groups can use different `GTranslateFuncs`. If `func` is `NULL`, strings are not translated.

If you are using gettext(), you only need to set the translation domain, see g_option_group_set_translation_domain().

Available since: 2.6

#### Parameters

`func`

  Type: `GTranslateFunc`

  The `GTranslateFunc`, or `NULL`.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  User data to pass to `func`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy_notify`

  Type: `GDestroyNotify`

  A function which gets called to free `data`, or `NULL`.

  The argument can be `NULL`.